Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 808378 - dev-python/ipython: rekeywording
Summary: dev-python/ipython: rekeywording
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: CC-ARCHES
: 831119 (view as bug list)
Depends on: 803665 808396 820203 824990 831141 831852
Blocks: 808273
  Show dependency tree
 
Reported: 2021-08-15 07:27 UTC by Michał Górny
Modified: 2022-03-19 18:48 UTC (History)
3 users (show)

See Also:
Package list:
dev-python/ipython ~ppc ~ppc64 ~x86 dev-python/stack_data ~ppc ~ppc64 ~x86 dev-python/pure_eval ~ppc ~ppc64 ~x86 dev-python/littleutils ~ppc ~ppc64 ~x86 dev-python/typeguard ~ppc ~ppc64 ~x86 dev-python/asttokens ~ppc ~ppc64 ~x86 dev-python/executing ~ppc ~ppc64 ~x86 dev-python/pytest-tornado ~ppc ~ppc64 ~x86
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2021-08-15 07:27:04 UTC
Please keyword everywhere so that we can finally start rekeywording random packages that depend on them.
Comment 1 NATTkA bot gentoo-dev 2021-08-15 07:32:20 UTC Comment hidden (obsolete)
Comment 2 NATTkA bot gentoo-dev 2021-08-15 07:48:28 UTC Comment hidden (obsolete)
Comment 3 NATTkA bot gentoo-dev 2021-08-15 08:00:26 UTC Comment hidden (obsolete)
Comment 4 NATTkA bot gentoo-dev 2021-08-15 08:16:28 UTC Comment hidden (obsolete)
Comment 5 NATTkA bot gentoo-dev 2021-08-15 08:28:34 UTC Comment hidden (obsolete)
Comment 6 NATTkA bot gentoo-dev 2021-08-19 21:56:32 UTC Comment hidden (obsolete)
Comment 7 NATTkA bot gentoo-dev 2021-08-19 22:24:29 UTC Comment hidden (obsolete)
Comment 8 NATTkA bot gentoo-dev 2021-08-24 18:44:31 UTC Comment hidden (obsolete)
Comment 9 NATTkA bot gentoo-dev 2021-08-24 19:00:30 UTC Comment hidden (obsolete)
Comment 10 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2021-09-05 06:39:20 UTC
I fail to see how a failure to build one of the deps with USE=doc is a blocker for this.
Comment 11 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-09-06 00:18:21 UTC Comment hidden (obsolete)
Comment 12 NATTkA bot gentoo-dev 2021-10-24 04:20:51 UTC Comment hidden (obsolete)
Comment 13 NATTkA bot gentoo-dev 2021-10-24 05:56:49 UTC Comment hidden (obsolete)
Comment 14 NATTkA bot gentoo-dev 2021-10-25 13:00:55 UTC Comment hidden (obsolete)
Comment 15 NATTkA bot gentoo-dev 2021-10-25 13:32:55 UTC Comment hidden (obsolete)
Comment 16 NATTkA bot gentoo-dev 2021-11-11 04:41:03 UTC Comment hidden (obsolete)
Comment 17 NATTkA bot gentoo-dev 2021-11-11 07:41:15 UTC Comment hidden (obsolete)
Comment 18 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-11-14 03:43:29 UTC Comment hidden (obsolete)
Comment 19 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-11-14 20:35:44 UTC Comment hidden (obsolete)
Comment 20 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-11-15 06:02:42 UTC
ia64 done
Comment 21 NATTkA bot gentoo-dev 2021-11-15 06:10:29 UTC Comment hidden (obsolete)
Comment 22 NATTkA bot gentoo-dev 2021-11-15 06:20:51 UTC Comment hidden (obsolete)
Comment 23 NATTkA bot gentoo-dev 2021-11-15 06:32:53 UTC Comment hidden (obsolete)
Comment 24 NATTkA bot gentoo-dev 2021-11-15 06:40:55 UTC Comment hidden (obsolete)
Comment 25 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-11-17 07:55:46 UTC
hppa done
Comment 26 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-11-19 09:06:58 UTC
s390 done
Comment 27 NATTkA bot gentoo-dev 2021-11-20 04:48:34 UTC Comment hidden (obsolete)
Comment 28 NATTkA bot gentoo-dev 2021-12-09 15:44:42 UTC Comment hidden (obsolete)
Comment 29 NATTkA bot gentoo-dev 2021-12-09 15:48:46 UTC Comment hidden (obsolete)
Comment 30 NATTkA bot gentoo-dev 2022-01-13 09:28:47 UTC Comment hidden (obsolete)
Comment 31 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-01-13 09:48:56 UTC
*** Bug 831119 has been marked as a duplicate of this bug. ***
Comment 32 James Le Cuirot gentoo-dev 2022-01-13 10:15:54 UTC
I can't speak for the other arches, but this is certainly not straightforward in the case of m68k, which I why I haven't done this yet. In fact, this is one of only three open m68k bugs. It does look worth doing though.
Comment 33 Arthur Zamarin archtester gentoo-dev 2022-01-15 08:03:45 UTC
The issue with this bug is that we have not small cycle here.

To make it easier for every one, I will break this bug into stages. I will try to shorten as much as possible the cycle we have here.

I can take testing and such on every arch I have access to, but sadly alpha, m68k and mips are those I don't have access to. If qemu testing is enough for this bug, please say and then I can also help.
Comment 34 Arthur Zamarin archtester gentoo-dev 2022-01-15 08:15:17 UTC
arm64 done
Comment 35 Joshua Kinard gentoo-dev 2022-01-15 09:15:00 UTC
(In reply to Arthur Zamarin from comment #33)
> The issue with this bug is that we have not small cycle here.
> 
> To make it easier for every one, I will break this bug into stages. I will
> try to shorten as much as possible the cycle we have here.
> 
> I can take testing and such on every arch I have access to, but sadly alpha,
> m68k and mips are those I don't have access to. If qemu testing is enough
> for this bug, please say and then I can also help.

Two issues:

1) mips currently lacks stable keywords, and will for the foreseeable future.  We're an "experimental" arch.  Not sure if this is not a well-known fact, or if it's just a quirk of how Nattka operates.  So I need some clarification on some of the requested packages on whether they require stable keywords for an arch or not.

2) I am having a hard time seeing a scenario where old MIPS hardware, at least the SGI systems I have access to will run Jupyter notebooks and all of their underlying orchestration services (web server, etc).  Is there a more solid reasoning why this needs to be keyworded "everywhere", especially on ancient, underpowered architectures?  If not, I may choose to opt out of these packages and thus, will need a list of things that need to be masked to avoid causing issues for other arches.
Comment 36 Arthur Zamarin archtester gentoo-dev 2022-01-15 09:55:12 UTC
ia64 done
Comment 37 Yixun Lan archtester gentoo-dev 2022-01-15 11:41:54 UTC
riscv done, thanks @alexfanqi for testing
Comment 38 NATTkA bot gentoo-dev 2022-01-22 23:16:52 UTC Comment hidden (obsolete)
Comment 39 NATTkA bot gentoo-dev 2022-01-26 07:37:11 UTC Comment hidden (obsolete)
Comment 40 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-01-29 07:13:26 UTC
hppa done
Comment 41 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-01-29 15:50:43 UTC
sparc done
Comment 42 James Le Cuirot gentoo-dev 2022-01-31 13:29:20 UTC
I started on this journey and got quite far, but this is just too much. The tests depend on app-text/dvipng, which pulls in the hell that is texlive packages. I'm not going to keyword something this complex if I can't test it.
Comment 43 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-02-05 06:37:21 UTC
arm done
Comment 44 NATTkA bot gentoo-dev 2022-02-05 06:53:00 UTC Comment hidden (obsolete)
Comment 45 NATTkA bot gentoo-dev 2022-02-06 15:37:05 UTC Comment hidden (obsolete)
Comment 46 NATTkA bot gentoo-dev 2022-02-07 11:52:56 UTC Comment hidden (obsolete)
Comment 47 NATTkA bot gentoo-dev 2022-02-07 11:57:06 UTC Comment hidden (obsolete)
Comment 48 NATTkA bot gentoo-dev 2022-02-07 12:01:19 UTC Comment hidden (obsolete)
Comment 49 NATTkA bot gentoo-dev 2022-02-07 20:17:27 UTC Comment hidden (obsolete)
Comment 50 NATTkA bot gentoo-dev 2022-02-07 22:33:23 UTC Comment hidden (obsolete)
Comment 51 NATTkA bot gentoo-dev 2022-02-12 20:29:01 UTC Comment hidden (obsolete)
Comment 52 NATTkA bot gentoo-dev 2022-02-14 08:37:28 UTC Comment hidden (obsolete)
Comment 53 NATTkA bot gentoo-dev 2022-02-21 19:13:01 UTC Comment hidden (obsolete)
Comment 54 NATTkA bot gentoo-dev 2022-03-18 15:17:01 UTC Comment hidden (obsolete)
Comment 55 NATTkA bot gentoo-dev 2022-03-18 15:29:05 UTC Comment hidden (obsolete)
Comment 56 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-03-18 15:56:23 UTC
(In reply to Joshua Kinard from comment #35)
> (In reply to Arthur Zamarin from comment #33)
> > The issue with this bug is that we have not small cycle here.
> > 
> > To make it easier for every one, I will break this bug into stages. I will
> > try to shorten as much as possible the cycle we have here.
> > 
> > I can take testing and such on every arch I have access to, but sadly alpha,
> > m68k and mips are those I don't have access to. If qemu testing is enough
> > for this bug, please say and then I can also help.
> 
> Two issues:
> 
> 1) mips currently lacks stable keywords, and will for the foreseeable
> future.  We're an "experimental" arch.  Not sure if this is not a well-known
> fact, or if it's just a quirk of how Nattka operates.  So I need some
> clarification on some of the requested packages on whether they require
> stable keywords for an arch or not.
> 
> 2) I am having a hard time seeing a scenario where old MIPS hardware, at
> least the SGI systems I have access to will run Jupyter notebooks and all of
> their underlying orchestration services (web server, etc).  Is there a more
> solid reasoning why this needs to be keyworded "everywhere", especially on
> ancient, underpowered architectures?  If not, I may choose to opt out of
> these packages and thus, will need a list of things that need to be masked
> to avoid causing issues for other arches.

1. Yeah, it doesn't really do anything for exp arches in terms of sanity check by default. See e.g. https://github.com/mgorny/nattka/issues/57.

2. Recursive test dependencies.
Comment 57 NATTkA bot gentoo-dev 2022-03-18 16:00:54 UTC Comment hidden (obsolete)
Comment 58 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-03-18 16:03:00 UTC
Let's use this bug for the ones which we can actually do, then figure out the rest elsewhere.
Comment 59 NATTkA bot gentoo-dev 2022-03-18 16:04:37 UTC
All sanity-check issues have been resolved
Comment 60 Arthur Zamarin archtester gentoo-dev 2022-03-19 18:47:33 UTC
x86 done
Comment 61 Arthur Zamarin archtester gentoo-dev 2022-03-19 18:48:48 UTC
ppc done
Comment 62 Arthur Zamarin archtester gentoo-dev 2022-03-19 18:48:50 UTC
ppc64 done

all arches done